#!/usr/bin/make -f

UPSTREAM_GIT = https://opendev.org/openinfra/refstack-client
include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=0.0.0

%:
	dh $@ --with python3

override_dh_auto_clean:
	rm -rf doc/build build .stestr tempest.log
	find .  -type d -name __pycache__ -exec rm -r {} \+

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# The no-venv patch is breaking, so we blacklist it: test_get_tempest_test_ids()
	pkgos-dh_auto_test --no-py2 'refstack_client\.tests\.(?!.*unit\.test_list_parser\.TestTestListParser\.test_get_tempest_test_ids.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b man doc/source doc/build/man
	PYTHONPATH=. python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-openstackclient-doc/usr/share/doc/python-openstackclient-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
